# Items

### Get an Item

## Get an item from collection

<mark style="color:blue;">`GET`</mark> `https://api.salescamp.app/v1/collections/{{collection_id}}/items/{{item_id}}`

#### Query Parameters

| Name                                             | Type   | Description                    |
| ------------------------------------------------ | ------ | ------------------------------ |
| collection\_id<mark style="color:red;">\*</mark> | String | Resource ID of the Collection. |
| item\_id<mark style="color:red;">\*</mark>       | String | Resource ID of the item.       |

#### Headers

| Name                                                               | Type   | Description                      |
| ------------------------------------------------------------------ | ------ | -------------------------------- |
| Authorization                   <mark style="color:red;">\*</mark> | Bearer | PLACE\_SALESCAMP\_API\_KEY\_HERE |

### Create a new item

## Create item

<mark style="color:green;">`POST`</mark> `https://api.salescamp.app/v1/collections/{{collection_id}}/items`

Creates a new pet.

#### Query Parameters

| Name                                            | Type   | Description                    |
| ----------------------------------------------- | ------ | ------------------------------ |
| colection\_id<mark style="color:red;">\*</mark> | string | Resource ID of the Collection. |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer | PLACE\_SALESCAMP\_API\_KEY\_HERE |

{% tabs %}
{% tab title="200 Pet successfully created" %}

```javascript
{
    "firstname": "Paule",
    "lastname": "Jillings",
    "phone": "841 693 9818",
    "email": "pjillingsb@soundcloud.com",
    "status": "Bad Fit",
    "company_name": "Shuffletag",
    "job_title": "Marketing Head",
    "source": "Call",
    "next_follow_up_date": "2022-02-27T16:56:51Z",
    "email_opted_out": false,
    "description": "In congue. Etiam justo. Etiam pretium iaculis justo. In hac habitasse platea dictumst. Etiam faucibus cursus urna. Ut tellus. Nulla ut erat id mauris vulputate elementum. Nullam varius. Nulla facilisi.",
    "url": "https://shinystat.com",
    "twitter": "http://twitter.com/paule.jillings97",
    "google_plus": "https://plus.google.com/paule.j",
    "facebook": "www.facebook.com/paule_jillings",
    "city": "Novosibirsk",
    "country": "Russia"
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

{% endtab %}
{% endtabs %}

### Update an Item&#x20;

## Update an existing item&#x20;

<mark style="color:orange;">`PUT`</mark> `https://api.salescamp.app/v1/collections/{{collection_id}}/items/{{item_id}}`

#### Query Parameters

| Name                                             | Type   | Description                    |
| ------------------------------------------------ | ------ | ------------------------------ |
| item\_id<mark style="color:red;">\*</mark>       | String | Resource ID of the Item        |
| collection\_id<mark style="color:red;">\*</mark> | String | Resource ID of the Collection. |

#### Headers

| Name                                                               | Type   | Description                      |
| ------------------------------------------------------------------ | ------ | -------------------------------- |
| Authorization                   <mark style="color:red;">\*</mark> | Bearer | PLACE\_SALESCAMP\_API\_KEY\_HERE |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "firstname": "Mellisent",
    "phone": "321-877-9195",
    "email": "mcreaser0@who.int",
    "status": "Customer",
    "lastname": "Creaser",
    "company_name": "Tagtune",
    "job_title": "Professor",
    "source": "Call",
    "next_follow_up_date": "2021-04-06T19:17:16Z",
    "email_opted_out": true,
    "url": "https:///morbi/vestibulum.aspx",
    "join_date": "2021-11-26T13:30:43Z",
    "alternate_phone": "754-674-5796",
    "city": "Dromiskin",
    "state": "Ireland",
    "country": "Russia",
    "postal_code": "167032"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.salescamp.app/reference/api-reference/items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
